List saved locations for the authenticated user.
curl --request GET \
--url https://api.nebyoulous.space/planner/locations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/planner/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner/locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"locations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"lat": 123,
"lng": 123,
"bortle": 0,
"isDefault": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}Planner
List saved locations for the authenticated user.
GET
/
planner
/
locations
List saved locations for the authenticated user.
curl --request GET \
--url https://api.nebyoulous.space/planner/locations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/planner/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner/locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"locations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"lat": 123,
"lng": 123,
"bortle": 0,
"isDefault": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}